#ifndef _RECORDING_C_
#define _RECORDING_C_

#include "callbacks.h"
#include "ui.h"
#include <string.h> /* for strlen() and pals */
#include <glib.h> /* Double-ended queue */

#define HANDLE "/usr/share/mobikid/pics/button.png"
#define RECORDING "/usr/share/mobikid/pics/puzzle2.png"

#define BIG_FRAME "/usr/share/mobikid/pics/song_frame.png"
#define MIC "/usr/share/mobikid/pics/puzzle2_mic.gif"

GtkWidget *recording_screen = NULL;
GtkWidget *song_pic = NULL;

void recording_remove_songpicture();

GtkWidget *recording_create()
{
	GtkWidget *background = NULL;
	GtkWidget *handle = NULL;
	GtkWidget *mic = NULL;

	recording_screen = gtk_fixed_new();
	handle = gtk_image_new_from_file( HANDLE );

	// left button
	GtkWidget *button = gtk_button_new();
	gtk_button_set_image(GTK_BUTTON(button), handle);
	g_signal_connect( G_OBJECT(button), "clicked",
					  G_CALLBACK(cb_from_recording_to_selection),
					  (gpointer) LEFT );

	gtk_fixed_put( GTK_FIXED(recording_screen), button, 5, 165 );

	// right button (it's not needed but here for testing)
	#if DEBUG
	handle = gtk_image_new_from_file( HANDLE );
	button = gtk_button_new();
	gtk_button_set_image(GTK_BUTTON(button), handle);
	g_signal_connect( G_OBJECT(button), "clicked",
					  G_CALLBACK(cb_from_recording_to_listening),
					  (gpointer) RIGHT );

	gtk_fixed_put( GTK_FIXED(recording_screen), button,
					WINDOW_WIDTH - 135, 165 );
	#endif

	background = gtk_image_new_from_file( RECORDING );
	gtk_fixed_put( GTK_FIXED(recording_screen), background, 0, 0 );

	/* Adds microphone */
	mic = gtk_image_new_from_file( MIC );
	gtk_fixed_put( GTK_FIXED(recording_screen), mic, 345, 15 );

	return recording_screen;
}

void recording_destroy(){
	recording_screen = NULL;
	recording_remove_songpicture();
}

void recording_add_songpicture( gchar *pic_name )
{
	GtkWidget *frame = NULL;
	if( song_pic != NULL )
	{
		 recording_remove_songpicture();
	}
	frame = gtk_image_new_from_file( BIG_FRAME );
	song_pic = gtk_image_new_from_file( pic_name );


	gint size=gtk_image_get_pixel_size(song_pic);
	printf("\npix size: %d\n",size);

	gtk_fixed_put( GTK_FIXED(recording_screen), frame, 320, 160 );
	gtk_fixed_put( GTK_FIXED(recording_screen), song_pic, 329, 169 );

	gtk_widget_show_all( GTK_WIDGET(recording_screen) );
}

void recording_remove_songpicture()
{
	g_free( song_pic );
	song_pic = NULL;
}
#endif
